Bug 6526 - Notifies in the share root directory are reported wrong
Notifies in the share root directory are reported wrong
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.0rc1
All All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 04:05 UTC by Stefan Metzmacher
Modified: 2009-09-28 23:37 UTC (History)
3 users (show)

See Also:


Attachments
Patch for v3-4 (784 bytes, patch)
2009-07-02 23:10 UTC, Stefan Metzmacher
vl: review+
Details
Patch for v3-3 (779 bytes, patch)
2009-07-02 23:11 UTC, Stefan Metzmacher
vl: review+
Details
Patch for v3-2 (779 bytes, patch)
2009-07-02 23:12 UTC, Stefan Metzmacher
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2009-07-01 04:05:05 UTC
parent_dirname() return the wrong filename for files in the root directory of a share. In notify responses every modified file is reported to the client as 
empty file name.

I noticed this because the SMB2-NOTIFY tests notifies in the root directory.
The RAW-NOTIFY test doesn't notice this because it operates on a subdirectory.
Comment 1 Stefan Metzmacher 2009-07-02 23:10:45 UTC
Created attachment 4394 [details]
Patch for v3-4
Comment 2 Stefan Metzmacher 2009-07-02 23:11:28 UTC
Created attachment 4395 [details]
Patch for v3-3
Comment 3 Stefan Metzmacher 2009-07-02 23:12:29 UTC
Created attachment 4396 [details]
Patch for v3-2
Comment 4 Stefan Metzmacher 2009-07-02 23:15:16 UTC
b292af0c38c6aa2167adb5803ced03cf51a81a9c and c229239ea4799bb18973d4bdcb4cb499043d6f15 show that only the notify code cared about the filename output of parent_dirname()
Comment 5 Karolin Seeger 2009-07-03 02:55:27 UTC
Patches have been pushed to v3-4-test, v3-3-test and v3-2-test.
Closing out bug report.

Thanks!